Get a pose design
curl --request GET \
--url https://api.budgetpixel.com/v1/poses/designs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.budgetpixel.com/v1/poses/designs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.budgetpixel.com/v1/poses/designs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.budgetpixel.com/v1/poses/designs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.budgetpixel.com/v1/poses/designs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.budgetpixel.com/v1/poses/designs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.budgetpixel.com/v1/poses/designs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"design": {
"created_at": "2023-11-07T05:31:56Z",
"credits_charged": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"parent_pose_id": "<string>",
"pose": {
"cover": {
"angle": "front",
"azimuth": 0,
"elevation": 0,
"figure": "woman",
"height": 1152,
"id": "<string>",
"label": "Back left · from above",
"made_by": "<string>",
"mention": "@seiza_pose.back",
"thumbnail_url": "<string>",
"url": "<string>",
"view": true,
"width": 864
},
"created_at": "2023-11-07T05:31:56Z",
"creator": {
"display_name": "<string>",
"username": "<string>"
},
"description": "Sits on the floor leaning back, the weight on both palms placed flat behind the hips. One knee is bent up towards the chest, the other leg stretched out straight and relaxed. The torso angles slightly back and the head faces forward.",
"difficulty": "everyday",
"fit": "women",
"handle": "sitting_knee_up_pose",
"holdable": true,
"id": "<string>",
"mention": "@sitting_knee_up_pose",
"name": "Sitting Knee Up",
"pictures": [
{
"angle": "front",
"azimuth": 0,
"elevation": 0,
"figure": "woman",
"height": 1152,
"id": "<string>",
"label": "Back left · from above",
"made_by": "<string>",
"mention": "@seiza_pose.back",
"thumbnail_url": "<string>",
"url": "<string>",
"view": true,
"width": 864
}
],
"props": [
"chair"
],
"rating": 0,
"shelf": "sitting",
"shelf_label": "Sitting",
"slug": "sitting-knee-up-pose",
"source": "house",
"support": "sitting",
"tags": [
"floor",
"relaxed"
],
"uses": 123,
"view_count": 3
},
"stage": "spec",
"stage_label": "Checking a real body can do it",
"status": "queued",
"suggestion": "<string>",
"words": "<string>"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}Poses
Get a pose design
One of your pose designs. status is queued, working (stage_label says what it is
doing), done (with the new pose, in the library for everyone), refused (message says
why and suggestion gives a doable alternative) or failed (message says what happened).
Nothing is charged unless it is done.
Free — no credits. Ask every 20 to 30 seconds: a design takes about 3 to 6 minutes.
GET
/
poses
/
designs
/
{id}
Get a pose design
curl --request GET \
--url https://api.budgetpixel.com/v1/poses/designs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.budgetpixel.com/v1/poses/designs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.budgetpixel.com/v1/poses/designs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.budgetpixel.com/v1/poses/designs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.budgetpixel.com/v1/poses/designs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.budgetpixel.com/v1/poses/designs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.budgetpixel.com/v1/poses/designs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"design": {
"created_at": "2023-11-07T05:31:56Z",
"credits_charged": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"parent_pose_id": "<string>",
"pose": {
"cover": {
"angle": "front",
"azimuth": 0,
"elevation": 0,
"figure": "woman",
"height": 1152,
"id": "<string>",
"label": "Back left · from above",
"made_by": "<string>",
"mention": "@seiza_pose.back",
"thumbnail_url": "<string>",
"url": "<string>",
"view": true,
"width": 864
},
"created_at": "2023-11-07T05:31:56Z",
"creator": {
"display_name": "<string>",
"username": "<string>"
},
"description": "Sits on the floor leaning back, the weight on both palms placed flat behind the hips. One knee is bent up towards the chest, the other leg stretched out straight and relaxed. The torso angles slightly back and the head faces forward.",
"difficulty": "everyday",
"fit": "women",
"handle": "sitting_knee_up_pose",
"holdable": true,
"id": "<string>",
"mention": "@sitting_knee_up_pose",
"name": "Sitting Knee Up",
"pictures": [
{
"angle": "front",
"azimuth": 0,
"elevation": 0,
"figure": "woman",
"height": 1152,
"id": "<string>",
"label": "Back left · from above",
"made_by": "<string>",
"mention": "@seiza_pose.back",
"thumbnail_url": "<string>",
"url": "<string>",
"view": true,
"width": 864
}
],
"props": [
"chair"
],
"rating": 0,
"shelf": "sitting",
"shelf_label": "Sitting",
"slug": "sitting-knee-up-pose",
"source": "house",
"support": "sitting",
"tags": [
"floor",
"relaxed"
],
"uses": 123,
"view_count": 3
},
"stage": "spec",
"stage_label": "Checking a real body can do it",
"status": "queued",
"suggestion": "<string>",
"words": "<string>"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}{
"error": {
"code": "model_not_available",
"message": "<string>",
"type": "invalid_request_error"
}
}